[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Request for volunteers to help track down packages that use /usr/X11R6



Hans de Goede wrote:

"(find /usr/X11R6 -type f | xargs rpm -qf) | sort | uniq" gives the following output on my system:
fonts-xorg-75dpi-6.8.2-1
fonts-xorg-base-6.8.2-1
fonts-xorg-truetype-6.8.2-1
multimedia-2.1-21
openmotif-2.2.3-10
playmidi-X11-2.4-16
xinitrc-4.0.19-1
xorg-x11-6.8.2-45
xorg-x11-Mesa-libGL-6.8.2-45
xorg-x11-Mesa-libGLU-6.8.2-45
xorg-x11-deprecated-libs-6.8.2-45
xorg-x11-devel-6.8.2-45
xorg-x11-font-utils-6.8.2-45
xorg-x11-libs-6.8.2-45
xorg-x11-tools-6.8.2-45
xorg-x11-xauth-6.8.2-45
xorg-x11-xdm-6.8.2-45
xorg-x11-xfs-6.8.2-45
xscreensaver-base-4.22-10
xterm-200-7


IOW:
multimedia
openmotif
playmidi
xscreensaver-base
xterm

Are the only non xorg packages on my system which use /use/X11R6 and thus need fixing.

Thanks for the list hans. I've added these to my local hit-list.

Another issue I just thought of, is "imake".  I wonder how many
things are going to now break since X no longer uses imake as its
build system.  imake is now avail as a separate tarball, and I'm
sure we'll likely be providing it for compatibility for apps that
use it to build with for a while, but AFAIK, there wont be X
configs like host.def et al. so apps that use imake that way will
likely break.

I guess that's an opportunity to drop apps from Core, or convince
people to autotool them?  ;o)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]